Bug 1656195 (CVE-2018-19607) - CVE-2018-19607 exiv2: NULL pointer dereference in Exiv2::isoSpeed in easyaccess.cpp
Summary: CVE-2018-19607 exiv2: NULL pointer dereference in Exiv2::isoSpeed in easyacce...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-19607
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1656196 1656846 1656849
Blocks: 1656189
TreeView+ depends on / blocked
 
Reported: 2018-12-04 22:15 UTC by Laura Pardo
Modified: 2021-02-16 22:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:20:21 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2101 0 None None None 2019-08-06 12:14:52 UTC
Red Hat Product Errata RHSA-2020:1577 0 None None None 2020-04-28 15:27:28 UTC

Description Laura Pardo 2018-12-04 22:15:40 UTC
An issue was found in Exiv2 v0.27-RC2. A NULL pointer dereference in Exiv2::isoSpeed in easyaccess.cpp allows remote attackers to cause a denial of service via a crafted file. 


References:
https://github.com/Exiv2/exiv2/issues/561

Comment 1 Laura Pardo 2018-12-04 22:16:09 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1656196]

Comment 3 Stefan Cornelius 2018-12-06 13:11:32 UTC
Statement:

This issue affects the versions of exiv2 as shipped with Red Hat Enterprise Linux 7.

This issue did not affect the versions of exiv2 as shipped with Red Hat Enterprise 6.

Comment 6 errata-xmlrpc 2019-08-06 12:14:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2101 https://access.redhat.com/errata/RHSA-2019:2101

Comment 7 Product Security DevOps Team 2019-08-06 19:20:21 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-19607

Comment 8 errata-xmlrpc 2020-04-28 15:27:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1577 https://access.redhat.com/errata/RHSA-2020:1577


Note You need to log in before you can comment on or make changes to this bug.